Find Marketing Events by External Event Id
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/{externalEventId}/identifiers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/{externalEventId}/identifiers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/{externalEventId}/identifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"externalEventId": "<string>",
"marketingEventName": "<string>",
"objectId": "<string>",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"externalAccountId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Identifiers
Get events by external ID
This endpoint searches the portal for all Marketing Events whose externalEventId matches the value provided in the request.
It retrieves the objectId and additional event details for each matching Marketing Event.
Since multiple Marketing Events can have the same externalEventId, the endpoint returns all matching results.
Note: Marketing Events become searchable by externalEventId a few minutes after creation.
GET
/
marketing
/
v3
/
marketing-events
/
{externalEventId}
/
identifiers
Find Marketing Events by External Event Id
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the marketing event in the external event application.
Last modified on March 30, 2026
Was this page helpful?
⌘I